import { getMessageErrorRequired, getMessageErrorNumber, getMessageErrorPositive, getMessageErrorInRange } from './helpers';

var isValidShowPages = function isValidShowPages(props, propName, componentName) {
  var showPages = props[propName];
  var totalPages = props.totalPages;
  if (!showPages) return new Error(getMessageErrorRequired({
    propName: propName,
    componentName: componentName
  }));
  if (typeof showPages !== 'number') return new Error(getMessageErrorNumber({
    propName: propName,
    componentName: componentName
  }));
  if (showPages <= 0) return new Error(getMessageErrorPositive({
    propName: propName,
    componentName: componentName
  }));
  if (showPages > totalPages) return new Error(getMessageErrorInRange({
    propName: propName,
    componentName: componentName
  })); // assume all ok

  return null;
};

export default isValidShowPages;